Raritan PX2/PX3 JSON-RPC API: pdumodel::PowerMeterController_1_1_5 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Member Functions | Public Attributes | List of all members
pdumodel::PowerMeterController_1_1_5 Interface Reference

Power Meter Controller (PMC) interface. More...

`import"PowerMeterController.idl";`

## Classes
struct | ScanResult
| Meter board scan result. More...

## Public Member Functions
int | scanMeterBoard (in int powerMeterId, out ScanResult result)
| Scan for presence and configuration of a meter board. More...
map< int, PowerMeter_1_1_5 > | getPowerMeters ()
| Retrieve the list of power meters and panels. More...
int | createPowerMeter (out PowerMeter_1_1_5 powerMeter, in PowerMeter_1_1_5::Config config, in PowerMeter_1_1_5::Settings settings)
| Create a new standalone power meter (no panel). More...
int | createPanel (out Panel_1_1_5 panel, in PowerMeter_1_1_5::Config config, in PowerMeter_1_1_5::Settings powerMeterSettings, in Panel_1_1_5::PanelSettings panelSettings)
| Create a new panel. More...
int | deletePowerMeter (in int powerMeterId)
| Delete a panel or power meter. More...

## Public Attributes
constant int | ERR_INVALID_PARAM = 1
| Invalid parameters.
constant int | ERR_METER_BOARD_BUSY = 2
| A power meter with the given ID already exists.
valueobject | PowerMeterCreatedEvent: event::UserEvent { PowerMeter_1_1_5 powerMeter
| Event: A power meter or panel was created. More...
PowerMeter_1_1_5::Config | config
| New power meter config.
PowerMeter_1_1_5::Settings | settings
| New power meter settings. More...
valueobject | PowerMeterDeletedEvent: event::UserEvent { PowerMeter_1_1_5::Config config
| Event: A power meter was deleted. More...
valueobject | PanelCreatedEvent: PowerMeterCreatedEvent { Panel_1_1_5::PanelSettings panelSettings
| Event: A panel was created. More...
valueobject | PanelDeletedEvent: PowerMeterDeletedEvent { Panel_1_1_5::PanelSettings panelSettings
| Event:: A panel was deleted. More...

## Detailed Description

Power Meter Controller (PMC) interface.

## Member Function Documentation

## ◆ createPanel()

int pdumodel::PowerMeterController_1_1_5::createPanel | ( | out Panel_1_1_5 | panel,
|  | in PowerMeter_1_1_5::Config | config,
|  | in PowerMeter_1_1_5::Settings | powerMeterSettings,
|  | in Panel_1_1_5::PanelSettings | panelSettings
| ) |  |

Create a new panel.

Parameters

  panel | Result: Newly created instance
  config | New power meter config
  powerMeterSettings | Power meter settings
  panelSettings | Panel settings

Returns
  0 if OK
  1 if any parameters are invalid
  2 if a power meter with the given ID already exists

## ◆ createPowerMeter()

int pdumodel::PowerMeterController_1_1_5::createPowerMeter | ( | out PowerMeter_1_1_5 | powerMeter,
|  | in PowerMeter_1_1_5::Config | config,
|  | in PowerMeter_1_1_5::Settings | settings
| ) |  |

Create a new standalone power meter (no panel).

Parameters

  powerMeter | Result: Newly created instance
  config | New power meter config
  settings | Power meter settings

Returns
  0 if OK
  1 if any parameters are invalid
  2 if a power meter with the given ID already exists

## ◆ deletePowerMeter()

int pdumodel::PowerMeterController_1_1_5::deletePowerMeter | ( | in int | powerMeterId | ) |

Delete a panel or power meter.

Parameters

  powerMeterId | Power meter ID

Returns
  0 if OK
  1 if the power meter ID is invalid

## ◆ getPowerMeters()

map<int, PowerMeter_1_1_5> pdumodel::PowerMeterController_1_1_5::getPowerMeters | ( |  | ) |

Retrieve the list of power meters and panels.

Returns
  Power meter and panel instances, indexed by power meter ID

## ◆ scanMeterBoard()

int pdumodel::PowerMeterController_1_1_5::scanMeterBoard | ( | in int | powerMeterId,
|  | out ScanResult | result
| ) |  |

Scan for presence and configuration of a meter board.

Parameters

  powerMeterId | ID of meter board to be scanned
  result | Detected meter board properties

Returns
  0 if OK
  1 if the meter board ID is out of range

## Member Data Documentation

## ◆ PanelCreatedEvent

valueobject pdumodel::PowerMeterController_1_1_5::PanelCreatedEvent

Event: A panel was created.

New panel settings

## ◆ PanelDeletedEvent

valueobject pdumodel::PowerMeterController_1_1_5::PanelDeletedEvent

Event:: A panel was deleted.

Old panel settings

## ◆ PowerMeterCreatedEvent

valueobject pdumodel::PowerMeterController_1_1_5::PowerMeterCreatedEvent

Event: A power meter or panel was created.

New power meter instance

## ◆ PowerMeterDeletedEvent

valueobject pdumodel::PowerMeterController_1_1_5::PowerMeterDeletedEvent

Event: A power meter was deleted.

Old power meter config

## ◆ settings

PowerMeter_1_1_5::Settings pdumodel::PowerMeterController_1_1_5::settings

New power meter settings.

Old power meter settings.

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/PowerMeterController.idl